Package org.wildfly.plugin.cli

## Class CommandConfiguration.AbstractBuilder<T extends CommandConfiguration.AbstractBuilder<T>>

- java.lang.Object
- - org.wildfly.plugin.cli.BaseCommandConfiguration.AbstractBuilder<T>
  - - org.wildfly.plugin.cli.CommandConfiguration.AbstractBuilder<T>

- Direct Known Subclasses:
    `CommandConfiguration.Builder`
  Enclosing class:
    CommandConfiguration

      protected abstract static class CommandConfiguration.AbstractBuilder<T extends CommandConfiguration.AbstractBuilder<T>>
      extends BaseCommandConfiguration.AbstractBuilder<T>

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CommandConfiguration` | `build()` |
    `T` | `setAutoReload​(boolean autoReload)` | Set to `true` if a reload should execute after the commands are complete.
    `T` | `setFork​(boolean fork)` | Sets whether or not the commands should be executed in a new process.
    `T` | `setOffline​(boolean offline)` | Sets whether a client should be associated with the CLI context.

    - ### Methods inherited from class org.wildfly.plugin.cli.BaseCommandConfiguration.AbstractBuilder

      `addCLIArguments, addCommands, addJvmOptions, addPropertiesFiles, addScripts, addSystemProperties, builderInstance, setAppend, setBatch, setFailOnError, setJBossHome, setJBossHome, setResolveExpression, setStdout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setFork

          public T setFork​(boolean fork)

      Sets whether or not the commands should be executed in a new process.

      Note that is `CommandConfiguration.isOffline()` is set to `true` this has no effect.

      Parameters:
        `fork` - `true` if commands should be executed in a new process
      Returns:
        this configuration

    - #### setOffline

          public T setOffline​(boolean offline)

      Sets whether a client should be associated with the CLI context.

      Note this launches CLI in a new process.

      Parameters:
        `offline` - `true` if this should be an offline process
      Returns:
        this configuration

    - #### setAutoReload

          public T setAutoReload​(boolean autoReload)

      Set to `true` if a reload should execute after the commands are complete. The reload will only execute if `CommandConfiguration.isOffline()` is `false` and the server state is in `reload-required`.
      Parameters:
        `autoReload` - `true` to enable auto-reload
      Returns:
        this configuration

    - #### build

          public CommandConfiguration build()

      Overrides:
        `build` in class `BaseCommandConfiguration.AbstractBuilder<T extends CommandConfiguration.AbstractBuilder<T>>`